Foreman - Bug #33033

Content host registration using command generated from global registration form fails if activation
key name contains ' (single quote) in it.
07/15/2021 02:01 PM - Leos Stejskal

Status: Closed

Priority: Normal
Assignee: Leos Stejskal
Category: Host registration

Target version:

Difficulty: Fixed in Releases: 2.5.3, 3.0.0
Triaged: No Found in Releases:
Bugzilla link: 1978709 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8687,
https://github.com/theforeman/foreman/p
ull/8707
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1978709

Description of problem:
Content host registration using command generated from global registration form fails if activation key name contains ' (single quote)
in it.

Version-Release number of selected component (if applicable):
- Satellite 6.10.0 snap 7

How reproducible:
- Always

Steps to Reproduce:

1. Create activation key with name containing '(single quote) e.g ak ' rhel
2. Go to Hosts > All Hosts > click on Register Host

3. Use activation key created to generate host registration command.

4. Use generated command to register content host with satellite.

Actual results: #

1. Running registration #
bash: line 206: unexpected EOF while looking for matching ™
bash: line 211: syntax error: unexpected end of file

Expected results:
- As it's activation key name is valid, host registration using generated
command should work.

Additional info:
- I have only tried this with activation key but this could be issue with other fields in the form as well.

Associated revisions

Revision 9¢c1b18ff - 08/03/2021 09:27 AM - Leos Stejskal

Fixes #33033 - shell_escape template macro

New template macro “shell_escape’ using
Ruby's “Shellwords.shellescape” for safe shell strings.

Use “shell_escape’ for user input variables
in registration templates (‘global’ & “host_init")
History

#1 - 07/15/2021 02:02 PM - Leos Stejskal
- Category set to Host registration

- Assignee set to Leos Stejskal

#2 - 07/22/2021 08:21 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8687 added

#3 - 08/03/2021 09:27 AM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#4 - 08/03/2021 10:08 AM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|9c1b18ff8726811c0dd3603353a2ac74a2aice8a.

#5 - 08/05/2021 10:16 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8707 added

#6 - 08/05/2021 12:23 PM - Tomer Brisker
- Fixed in Releases 2.5.3 added
